Bug 985915 - Review Request: perl-BSSolv - A new approach to package dependency solving
Review Request: perl-BSSolv - A new approach to package dependency solving
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 985905
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 09:46 EDT by Miroslav Suchý
Modified: 2013-07-23 03:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 03:52:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-07-18 09:46:15 EDT
Spec URL: http://miroslav.suchy.cz/fedora/perl-BSSolv/perl-BSSolv.spec
SRPM URL: http://miroslav.suchy.cz/fedora/perl-BSSolv/perl-BSSolv-0.18.2-2.git228d412.fc19.src.rpm
Description: 
Using a Satisfyability Solver to compute package dependencies.

Fedora Account System Username: msuchy
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5627553
Comment 1 Petr Šabata 2013-07-18 10:13:44 EDT
So this package basically bundles libsolv?
Where do the perl files come from?
You shouldn't BR perl-devel or gcc-c++.
Comment 2 Miroslav Suchý 2013-07-18 10:45:06 EDT
> So this package basically bundles libsolv?
Yes, unless bug 985905 is resolved.

> Where do the perl files come from?
from:
https://github.com/openSUSE/open-build-service/tree/master/src/backend
I will add comment into spec about that.
Unfortunatelly there is no ultimate source just for standalone package. And BSSolv is BR for obs-server, where it is included in upstream, so we will have problem with bootstraping.

>You shouldn't BR perl-devel or gcc-c++.
ok
Comment 3 Miroslav Suchý 2013-07-19 04:36:40 EDT
I just come to agreement with akozumpl that bug 985905 will be resolved soon. When it will be done, I will submit new src.rpm, which will be linked against satsolv from distribution.
Comment 4 Petr Pisar 2013-07-22 11:08:09 EDT
I looked at the sources and, ehm, they're not good. E.g. BSSolv.pm does not contain any documentation. I looked at BSHTTP.pm and I was amazed–this is reimplementation of HTTP decoder including naïve chunk-decoder. Couldn't they use Net::HTTP? I worry about number of bugs hidden there.
Comment 5 Miroslav Suchý 2013-07-22 13:11:17 EDT
BSHTTP.pm is different issue and very different package.
This BZ is just about BSSolv.pm and BSSolv.xs.
Comment 7 Miroslav Suchý 2013-07-23 03:52:48 EDT
I raised few question on upstream and it seems that they will make perl-BSSolv subpackage of obs-server. So I'm closing this review for now.

Note You need to log in before you can comment on or make changes to this bug.